Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.cache.search
Class SearchableCacheConfiguration

    java.lang.Object
      org.jboss.cache.search.SearchableCacheConfiguration

All Implemented Interfaces:
  org.hibernate.search.cfg.SearchConfiguration

    public class SearchableCacheConfiguration

extends Object
implements org.hibernate.search.cfg.SearchConfiguration

Class that implements `SearchConfiguration` so that within JBossCache Searchable, there is no need for a Hibernate Core configuration object.

Author:
  Navin Surtani (nsurtani@redhat.com)

Field Summary
`protected Map<String,Class>` | `classes`

Constructor Summary
`SearchableCacheConfiguration(Class[] classArray, Properties properties)`

Method Summary
`Class` | `getClassMapping(String name)`
`Iterator` | `getClassMappings()`
`Properties` | `getProperties()`
`String` | `getProperty(String propertyName)`
`org.hibernate.annotations.common.reflection.ReflectionManager` | `getReflectionManager()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### classes

    protected Map<String,Class> classes

Constructor Detail

### SearchableCacheConfiguration

    public SearchableCacheConfiguration(Class[] classArray,
                                        Properties properties)

Method Detail

### getClassMappings

    public Iterator getClassMappings()

  Specified by:
    `getClassMappings` in interface `org.hibernate.search.cfg.SearchConfiguration`

### getClassMapping

    public Class getClassMapping(String name)

  Specified by:
    `getClassMapping` in interface `org.hibernate.search.cfg.SearchConfiguration`

### getProperty

    public String getProperty(String propertyName)

  Specified by:
    `getProperty` in interface `org.hibernate.search.cfg.SearchConfiguration`

### getProperties

    public Properties getProperties()

  Specified by:
    `getProperties` in interface `org.hibernate.search.cfg.SearchConfiguration`

### getReflectionManager

    public org.hibernate.annotations.common.reflection.ReflectionManager getReflectionManager()

  Specified by:
    `getReflectionManager` in interface `org.hibernate.search.cfg.SearchConfiguration`

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 JBoss, a division of Red Hat. All Rights Reserved.